﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace DesignForTesting
{
    public class Program
    {
        public static void Main(string[] args)
        {
            Person person;
            TextReader textReader = new StreamReader("../../Persons.txt");
            IDataReader dataReader = new SeparatedDataReader(textReader, ';');
            PersonReader personReader = new PersonReader(dataReader);
            while ((person = personReader.ReadNext()) != null)
            {
                Console.WriteLine(person.ToString());
            }
        }
    }
}
