﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DesignForTesting
{
    public class PersonReader
    {
        private IDataReader _dataReader;

        public PersonReader(IDataReader dataReader)
        {
            if (dataReader == null)
                throw new ArgumentNullException("dataReader");
            _dataReader = dataReader;
        }

        public Person ReadNext()
        {
            if (_dataReader.ReadNext())
            {
                return new Person(_dataReader[0], _dataReader[1], _dataReader[2]);
            }
            else
            {
                return null;
            }
        }
    }
}
